script_title = "Remove every odd stretch marker"
reaper.Undo_BeginBlock()
reaper.PreventUIRefresh(1)

function main()
count_items = reaper.CountSelectedMediaItems()
for i = 0, count_items-1 do
  selitem = reaper.GetSelectedMediaItem(0,i)
  if selitem == nil then return end
  take = reaper.GetActiveTake(selitem)
  num = reaper.GetTakeNumStretchMarkers(take)
  for i = 0, num-1 do
   retval, pos, srcpos = reaper.GetTakeStretchMarker( take, 0 )
   reaper.DeleteTakeStretchMarkers( take, i+1,1 )
  end
end
end

main()

reaper.UpdateArrange()
reaper.PreventUIRefresh(-1)
reaper.Undo_EndBlock(script_title,-1)
